Bug 652183 (FE-JAVASIG)

Summary: Java SIG tracker bug
Product: [Fedora] Fedora Reporter: Alexander Kurtakov <akurtako>
Component: distributionAssignee: Fedora Java SIG <java-sig-commits>
Status: NEW --- QA Contact: Fedora Java SIG <java-sig-commits>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: c.david86, gerard, mizdebsk, msrb, puntogil, ricardo.arguello, sochotni
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 826037, 832853, 837450, 849496, 968136, 969271, 969820, 972352, 1009654, 1018489, 1022024, 1082660, 1086608, 1089552, 1094417, 1110070, 1111373, 1131019, 1149176, 1150959, 1152246, 1155058, 1157295, 1157298, 1157302, 1159217, 1159220, 1159223, 1159226, 1159687, 1159688, 1159691, 1159703, 1162000, 1162011, 1190740, 1190746, 1193730, 1196037, 1196039, 1200115, 1201028, 1202231, 1211659, 1221474, 1234664, 1240475, 1244657, 1249543, 1260975, 1272787, 1275048, 1276624, 1276632, 1282222, 1289726, 1290337, 1290339, 1290342, 1293694, 1318988, 1321687, 1325672, 1331449, 1331589, 1342749, 1346382, 1347973, 1347975, 1347976, 1347977, 1347980, 1348146    
Bug Blocks:    

Description Alexander Kurtakov 2010-11-11 04:39:32 EST
This is a tracker bug for Java related packages problems, reviews and everything else the SIG should look at.
Comment 1 Alexander Kurtakov 2010-12-02 04:09:33 EST
Please remove fixed bugs to keep the bug on current problems.
Comment 2 gil cattaneo 2015-11-05 18:15:47 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[!]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (unversioned/unknown version)", "Unknown or generated".
     457 files have unknown license. Detailed output of licensecheck in
     /home/gil/1276831-tth/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 757760 bytes in 32 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
 make manual ?
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tth-tex
     , tth-libs , tth-devel , tth-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/gil/1276831-tth/results/tth-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-tex-4.08-1.fc24.noarch.rpm /home/gil/1276831-tth/results/tth-libs-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-devel-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-debuginfo-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-debuginfo-4.08-1.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/gil/1276831-tth/results/tth-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-tex-4.08-1.fc24.noarch.rpm /home/gil/1276831-tth/results/tth-libs-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-devel-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-debuginfo-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-debuginfo-4.08-1.fc24.i686.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: tth-4.08-1.fc24.i686.rpm
          tth-tex-4.08-1.fc24.noarch.rpm
          tth-libs-4.08-1.fc24.i686.rpm
          tth-devel-4.08-1.fc24.i686.rpm
          tth-debuginfo-4.08-1.fc24.i686.rpm
          tth-4.08-1.fc24.src.rpm
tth.i686: W: no-manual-page-for-binary tthrfcat
tth.i686: W: no-manual-page-for-binary tthprep
tth.i686: W: no-manual-page-for-binary tth-numbering
tth.i686: W: no-manual-page-for-binary tth-structure
tth.i686: W: no-manual-page-for-binary tthsplit
tth-tex.noarch: W: no-documentation
tth-tex.noarch: E: incorrect-fsf-address /usr/share/licenses/tth-tex/GPL2.txt
tth-libs.i686: W: shared-lib-calls-exit /usr/lib/libttm.so.0.0.0 exit@GLIBC_2.0
tth-libs.i686: W: shared-lib-calls-exit /usr/lib/libtth.so.0.0.0 exit@GLIBC_2.0
tth-libs.i686: W: no-documentation
6 packages and 0 specfiles checked; 1 errors, 9 warnings.




Requires
--------
tth-tex (rpmlib, GLIBC filtered):
    /usr/bin/mktexlsr
    tex(tex)
    texlive-base

tth (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    coreutils
    ghostscript-core
    libc.so.6
    netpbm-progs
    rtld(GNU_HASH)
    tex(color.sty)
    tex(epsfig.sty)
    tex(fullpage.sty)
    tex(graphicx.sty)
    tex(hyperref.sty)
    tex(makeidx.sty)
    tex(natbib.sty)
    tex-bibtex
    tex-cm
    tex-dvips
    tex-latex-bin
    tex-makeindex
    tth-tex

tth-devel (rpmlib, GLIBC filtered):
    libtth.so.0
    libttm.so.0
    tth-libs

tth-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    coreutils
    ghostscript-core
    libc.so.6
    netpbm-progs
    rtld(GNU_HASH)
    tex(color.sty)
    tex(epsfig.sty)
    tex(fullpage.sty)
    tex(graphicx.sty)
    tex(hyperref.sty)
    tex(makeidx.sty)
    tex(natbib.sty)
    tex-bibtex
    tex-cm
    tex-dvips
    tex-latex-bin
    tex-makeindex
    tth-tex

tth-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
tth-tex:
    tth-tex

tth:
    tth
    tth(x86-32)

tth-devel:
    tth-devel
    tth-devel(x86-32)

tth-libs:
    libtth.so.0
    libttm.so.0
    tth-libs
    tth-libs(x86-32)

tth-debuginfo:
    tth-debuginfo
    tth-debuginfo(x86-32)



Source checksums
----------------
http://downloads.sourceforge.net/tth/tth4.08.tar.gz :
  CHECKSUM(SHA256) this package     : 3ad5cde189bd2a1b621403b26b136cb20fab9b4e844ebb71e311bee553c52724
  CHECKSUM(SHA256) upstream package : 3ad5cde189bd2a1b621403b26b136cb20fab9b4e844ebb71e311bee553c52724


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1276831 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 gil cattaneo 2015-11-05 18:16:46 EST
Sorry!